Subject: Re: Debugging help needed
From: [email-masked] (Scott Warner)

10 Nov 1997 22:34:51 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "Fernandes, Hilton" <[email-masked]>
Cc: <[email-masked]>

Thank you for your help.  I compiled & linked with -g, but get a message
from gdb saying 'no debugging symbols found' or to that effect.  However,
this is probably something simple I can take care of with a little
homework.

> Third :-) There is a debugger in cygwin32, a. k. a. gnu-win32.  It is
called
> gdb and is the standard GNU debugger.  In cygwin it has a GUI face, but
the
> same commands.  It is very useful -- particularly in cases like yours --,
but
> it still demands some finishing touches.  Get acquainted with it through
the 
> "help" command, typed at the user prompt.
> 
> First and second :-) Usually the cygwin products work, even when need
> finishing touches.   So, the first thing to check is your use of
<iostream.h>
> classes.  My personal experience with it was not very good.  I hope yours
is
> better. :-)
> 
> Run your program through gdb and it will show the line where it broke. 
Then a 
> command named "where" will display the stack of functions when the
program 
> broke.
> 
> Don't forget to compile and link with the -g flag enabled.
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".